<!doctype html>
<html lang="cs">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" th:href="@{/css/styles.css}"/>
    <title>Výpis kategorií</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg  navbar-dark bg-dark">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">

                <li class="nav-item" th:if="${admin}">
                    <a class="nav-link active" th:href="@{/admin/categories}">Kategorie</a>
                </li>
                <li class="nav-item" th:if="${admin}">
                    <a class="nav-link" th:href="@{/admin/users}">Uživatelé</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/articles}">Příspěvky</a>
                </li>
                <li>
                    <form th:action="@{/logout}" method="get">
                        <button class="btn btn-md btn-danger btn-right" name="registration"
                                type="Submit">Logout
                        </button>
                    </form>
                </li>
            </ul>
        </div>
    </nav>
    <div class="content">
        <h1>Výpis kategorií</h1>
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Název</th>
                    <th scope="col">Popis</th>
                    <th scope="col">Akce</th>
                </tr>
            </thead>
            <tbody>
            <th:block th:each="category : ${categories}">
                <tr class="table-row-cell">
                    <td th:text="${category.categoryId}">...</td>
                    <td th:text="${category.name}">...</td>
                    <td th:text="${category.description}">...</td>
                    <td>
                        <a th:href="@{/admin/category(categoryId=${category.categoryId})}">Editovat</a>
                        <a th:href="@{/admin/categories(categoryId=${category.categoryId})}">Smazat</a>
                    </td>
                </tr>
            </th:block>
            </tbody>
        </table>
        <a style="color:white" href="/admin/category">
            <button type="button" class="btn btn-dark">Nová kategorie</button>
        </a>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
</body>
</html>